ATA_MMIO_DATA_XFER(9)

NAME
ata_mmio_data_xfer - Transfer data by MMIO

SYNOPSIS

void ata_mmio_data_xfer (struct ata_port * ap, unsigned char * buf, unsigned int buflen, int write_data);

ARGUMENTS

ap  port to read/write

buf data buffer

buflen
    buffer length

write_data
    read/write

DESCRIPTION

Transfer data from/to the device data register by MMIO.

LOCKING

Inherited from caller.

AUTHOR
Jeff Garzik.